com.microfocus.awm.meta.interfaces

## Interface FileDescriptor

- All Superinterfaces:
    AWMIdentifiableObject, AWMObject, org.eclipse.emf.ecore.EObject, IFunctionPackageDefinable, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    FileDescriptorImpl

      public interface FileDescriptor
      extends AWMIdentifiableObject

  A file descriptor describes a file and, optionally, the structure of the file. The file can be in both the Eclipse workspace and in the system to be attached.

  The following features are supported:

  - `Has Property`
  - `Has Action`
  - `Has File Element`
  - `Has File Attribute`
  - `Name Physical`
  - `Prop Delimiter`
  - `Structure`
  - `Type`
  See Also:
    `TaurusPackage.getFileDescriptor()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileDescriptor` | `clone()` Creates a clone of the file descriptor.
    `java.lang.Object` | `getData()` Gets file data previously set by `setData(Object)`.
    `IStructure` | `getFileStructure()` Gets the `IStructure` of the file descriptor, if available.
    `org.eclipse.emf.common.util.EList<RFileAction>` | `getHasAction()` Returns the value of the 'Has Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RFileAttribute>` | `getHasFileAttribute()` Returns the value of the 'Has File Attribute' reference list.
    `org.eclipse.emf.common.util.EList<RFileElement>` | `getHasFileElement()` Returns the value of the 'Has File Element' reference list.
    `org.eclipse.emf.common.util.EList<RFileProperty>` | `getHasProperty()` Returns the value of the 'Has Property' containment reference list.
    `java.io.InputStream` | `getInputStream()` Deprecated. Should not be used by clients, since it was only intended for the internal `EFileTypes.INPUT_STREAM` IFileDescriptorReader. Other `IFileDescriptorReader`s should use `getData()` instead.
    `java.lang.String` | `getNamePhysical()` Returns the value of the 'Name Physical' attribute.
    `java.lang.String` | `getPropDelimiter()` Returns the value of the 'Prop Delimiter' attribute.
    `java.lang.String` | `getPropDelimiterWithoutQuotes()` Returns the PropDelimiter value of the FileDescriptor without the quotes.
    `EFileStructures` | `getStructure()` Returns the value of the 'Structure' attribute.
    `EFileTypes` | `getType()` Returns the value of the 'Type' attribute.
    `boolean` | `isModelInstance()` Whether this instance belongs to a loaded model (`TAURUSConfiguration`).
    `boolean` | `isSetPropDelimiter()` Returns whether the value of the '`Prop Delimiter`' attribute is set.
    `boolean` | `isSetStructure()` Returns whether the value of the '`Structure`' attribute is set.
    `boolean` | `isSetType()` Returns whether the value of the '`Type`' attribute is set.
    `void` | `setData(java.lang.Object pData)` Allows storing file type specific data which can be used by an appropriate `IFileDescriptorReader` implementation.
    `void` | `setInputStream(java.io.InputStream pIs)` Deprecated. Should not be used by clients anymore to store the data of an `EFileTypes.INPUT_STREAM`. Instead clients should return file data through an `IToolResult` by implementing `IToolExecutor2`.
    `void` | `setNamePhysical(java.lang.String value)` Sets the value of the '`Name Physical`' attribute.
    `void` | `setPropDelimiter(java.lang.String value)` Sets the value of the '`Prop Delimiter`' attribute.
    `void` | `setProperties(org.eclipse.emf.common.util.EList<RFileProperty> pFileProps)` Sets the Properties of the FileDescriptor
    `void` | `setStructure(EFileStructures value)` Sets the value of the '`Structure`' attribute.
    `void` | `setType(EFileTypes value)` Sets the value of the '`Type`' attribute.
    `void` | `unsetPropDelimiter()` Unsets the value of the '`Prop Delimiter`' attribute.
    `void` | `unsetStructure()` Unsets the value of the '`Structure`' attribute.
    `void` | `unsetType()` Unsets the value of the '`Type`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMIdentifiableObject

      `getID, getModelEditorGroup, isSetModelEditorGroup, setID, setModelEditorGroup, unsetModelEditorGroup`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.IFunctionPackageDefinable

      `getExtensionID, setExtensionID`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasProperty

          org.eclipse.emf.common.util.EList<RFileProperty> getHasProperty()

      Returns the value of the 'Has Property' containment reference list. The list contents are of type `RFileProperty`. The relationship to a property is used to define the structure of a file if the file's content is structured.
      Returns:
        the value of the 'Has Property' containment reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasProperty()`

    - #### getHasAction

          org.eclipse.emf.common.util.EList<RFileAction> getHasAction()

      Returns the value of the 'Has Action' containment reference list. The list contents are of type `RFileAction`. The relation between the file descriptor and an action descriptor can be used to define actions to appear in the table's context menu if the file descriptor is defined as a structured table and the table is part of a modeled dialog or an ISPF dialog.
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasAction()`

    - #### getHasFileAttribute

          org.eclipse.emf.common.util.EList<RFileAttribute> getHasFileAttribute()

      Returns the value of the 'Has File Attribute' reference list. The list contents are of type `RFileAttribute`.

      If the meaning of the 'Has File Attribute' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Has File Attribute' reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasFileAttribute()`

    - #### getHasFileElement

          org.eclipse.emf.common.util.EList<RFileElement> getHasFileElement()

      Returns the value of the 'Has File Element' reference list. The list contents are of type `RFileElement`.

      If the meaning of the 'Has File Element' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Has File Element' reference list.
      See Also:
        `TaurusPackage.getFileDescriptor_HasFileElement()`

    - #### getNamePhysical

          java.lang.String getNamePhysical()

      Returns the value of the 'Name Physical' attribute.
      The physical name of the file under which the target system can find the file (file path + file name), can contain dynamic references.
      Returns:
        the value of the 'Name Physical' attribute.
      See Also:
        `setNamePhysical(String)`, `TaurusPackage.getFileDescriptor_NamePhysical()`

    - #### setNamePhysical

          void setNamePhysical(java.lang.String value)

      Sets the value of the '`Name Physical`' attribute.
      Parameters:
        `value` - the new value of the 'Name Physical' attribute.
      See Also:
        `getNamePhysical()`

    - #### getPropDelimiter

          java.lang.String getPropDelimiter()

      Returns the value of the 'Prop Delimiter' attribute. The default value is `"\" \""`.
      The delimiter to be used for the interpretation of structured file content.
      Returns:
        the value of the 'Prop Delimiter' attribute.
      See Also:
        `isSetPropDelimiter()`, `unsetPropDelimiter()`, `setPropDelimiter(String)`, `TaurusPackage.getFileDescriptor_PropDelimiter()`

    - #### setPropDelimiter

          void setPropDelimiter(java.lang.String value)

      Sets the value of the '`Prop Delimiter`' attribute.
      Parameters:
        `value` - the new value of the 'Prop Delimiter' attribute.
      See Also:
        `isSetPropDelimiter()`, `unsetPropDelimiter()`, `getPropDelimiter()`

    - #### unsetPropDelimiter

          void unsetPropDelimiter()

      Unsets the value of the '`Prop Delimiter`' attribute.
      See Also:
        `isSetPropDelimiter()`, `getPropDelimiter()`, `setPropDelimiter(String)`

    - #### isSetPropDelimiter

          boolean isSetPropDelimiter()

      Returns whether the value of the '`Prop Delimiter`' attribute is set.
      Returns:
        whether the value of the 'Prop Delimiter' attribute is set.
      See Also:
        `unsetPropDelimiter()`, `getPropDelimiter()`, `setPropDelimiter(String)`

    - #### getStructure

          EFileStructures getStructure()

      Returns the value of the 'Structure' attribute. The default value is `"Unstructured"`. The literals are from the enumeration `EFileStructures`.
      Describes the structure of the file. Allowed values:

      - Unstructured
      - Table
      Returns:
        the value of the 'Structure' attribute.
      See Also:
        `EFileStructures`, `isSetStructure()`, `unsetStructure()`, `setStructure(EFileStructures)`, `TaurusPackage.getFileDescriptor_Structure()`

    - #### setStructure

          void setStructure(EFileStructures value)

      Sets the value of the '`Structure`' attribute.
      Parameters:
        `value` - the new value of the 'Structure' attribute.
      See Also:
        `EFileStructures`, `isSetStructure()`, `unsetStructure()`, `getStructure()`

    - #### unsetStructure

          void unsetStructure()

      Unsets the value of the '`Structure`' attribute.
      See Also:
        `isSetStructure()`, `getStructure()`, `setStructure(EFileStructures)`

    - #### isSetStructure

          boolean isSetStructure()

      Returns whether the value of the '`Structure`' attribute is set.
      Returns:
        whether the value of the 'Structure' attribute is set.
      See Also:
        `unsetStructure()`, `getStructure()`, `setStructure(EFileStructures)`

    - #### getType

          EFileTypes getType()

      Returns the value of the 'Type' attribute. The default value is `"Workspace_File"`. The literals are from the enumeration `EFileTypes`.
      The type of the file descriptor. This value defines how the described file should be interpreted.

      Allowed values:

      - Input stream
      - Local file
      - Workspace file

      The following values can only be used at run time if EDc, EDz or IDz is installed:

      - MVS_PO
      - MVS_PO_MEMBER
      - MVS_SEQ
      - USS_FILE
      Returns:
        the value of the 'Type' attribute.
      See Also:
        `EFileTypes`, `isSetType()`, `unsetType()`, `setType(EFileTypes)`, `TaurusPackage.getFileDescriptor_Type()`

    - #### setType

          void setType(EFileTypes value)

      Sets the value of the '`Type`' attribute.
      Parameters:
        `value` - the new value of the 'Type' attribute.
      See Also:
        `EFileTypes`, `isSetType()`, `unsetType()`, `getType()`

    - #### unsetType

          void unsetType()

      Unsets the value of the '`Type`' attribute.
      See Also:
        `isSetType()`, `getType()`, `setType(EFileTypes)`

    - #### isSetType

          boolean isSetType()

      Returns whether the value of the '`Type`' attribute is set.
      Returns:
        whether the value of the 'Type' attribute is set.
      See Also:
        `unsetType()`, `getType()`, `setType(EFileTypes)`

    - #### getPropDelimiterWithoutQuotes

          java.lang.String getPropDelimiterWithoutQuotes()

      Returns the PropDelimiter value of the FileDescriptor without the quotes. This Method will return the correct value even if there weren't any quotes in the configuration file.
      Returns:
        The PropDelimiter value of the FileDescriptor without quotes or `null` if no value was set for the PropDelimiter.

    - #### setProperties

          void setProperties(org.eclipse.emf.common.util.EList<RFileProperty> pFileProps)

      Sets the Properties of the FileDescriptor
      Parameters:
        `pFileProps` - the properties to set

    - #### clone

          FileDescriptor clone()

      Creates a clone of the file descriptor.
      Returns:
        a clone instance

    - #### setInputStream

          @Deprecated
          void setInputStream(java.io.InputStream pIs)

      Deprecated. Should not be used by clients anymore to store the data of an `EFileTypes.INPUT_STREAM`. Instead clients should return file data through an `IToolResult` by implementing `IToolExecutor2`.
      Sets the input stream of this File Descriptor (used for type InputStream)
      Parameters:
        `pIs` - the input stream to be set
      See Also:
        `getType()`

    - #### getInputStream

          @Deprecated
          java.io.InputStream getInputStream()

      Deprecated. Should not be used by clients, since it was only intended for the internal `EFileTypes.INPUT_STREAM` IFileDescriptorReader. Other `IFileDescriptorReader`s should use `getData()` instead.
      Returns:
        the input stream associated to this file descriptor or `null`. Used for file descriptors from the type InputStream).

    - #### setData

          void setData(java.lang.Object pData)

      Allows storing file type specific data which can be used by an appropriate `IFileDescriptorReader` implementation.

      Clients should not call this method unless they're implementing an `IFileDescriptorReader`.

      It is not allowed to set file descriptor data on `FileDescriptor` instances of a loaded `TAURUSConfiguration`.

      Parameters:
        `pData` - the data to set
      Throws:
        `java.lang.RuntimeException` - if the method is invoked on an original (non-cloned) file descriptor of a loaded AWM model
      See Also:
        `clone()`, `isModelInstance()`

    - #### getData

          java.lang.Object getData()

      Gets file data previously set by `setData(Object)`. Clients should not use this method, unless they're implementing an `IFileDescriptorReader`.
      Returns:
        the previously set file data

    - #### getFileStructure

          IStructure getFileStructure()

      Gets the `IStructure` of the file descriptor, if available.
      Returns:
        the modeled `IStructure` or `null` if the file descriptor does not have one

    - #### isModelInstance

          boolean isModelInstance()

      Whether this instance belongs to a loaded model (`TAURUSConfiguration`). These instances should not be modified e.g. by tool executors but should rather be cloned.
      Returns:
        whether this instance belongs to a loaded AWM model
      See Also:
        `clone()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.